При тестуванні чергового модифікатора для опенкарт було виявлено, що дефолтний modification.php в Opencart 2.0.x и 2.1.x некоректно обробляє параметр error="skip" тега . Замість того, щоб пропустити операцію і працювати далі, скрипт припиняє застосування модифікації.
В оригінальному файлі admin/controller/extension/modification.php є такі рядки:

// Skip current operation
if ($error == 'skip') {
	break;
}

Замініть їх на наступний код:

// Skip current operation
if ($error == 'skip') {
    $log[] = 'SKIP!'; // інформація в лог
    continue; // перехід до наступної ітерації
}

Після цього параметр error="skip" буде оброблятися коректно. Актуально для Opencart 2.0.x и 2.1.x.